You are here:
< Back

Our application requires your device to be on Android Version 4.4 or higher due to this version supporting video autoplay.

It is recommended to run our client application on a rooted device, but it can also be ran on non-rooted devices.

Certain features are unavailable on non-rooted devices:

  • Background Updates
  • System time synchronization to a server clock
  • Disabling applications that are not needed for a signage device (ex. gmail, calendar, kodi…)

Since our application communicates with our server it is mandatory to enable wifi or a Ethernet connection for communication.

Minimum System Requirements:
  • 4 core CPU
  • 1GB of RAM
  • 8GB of internal storage
 
Recommended System Requirements:
  • 4 core CPU
  • 2 GB of RAM 
  • 16 GB of internal storage 

You can download the latest version of our Android APK from your home screen by selecting the “Download” icon and then selecting the .APK file.